server {
    server_name  DOMAIN;

    root PROJECT_FOLDER;

    index index.html index.htm index.php;

    charset utf8;

    access_log /var/log/nginx/DOMAIN.access_log;
    error_log /var/log/nginx/DOMAIN.error_log info;
    
    location / {
        try_files $uri $uri/ /index.php?$query_string;
    }
    location ~ \.php$ {
        fastcgi_pass unix:/run/php/php8.1-fpm.sock;
        fastcgi_param SCRIPT_FILENAME $realpath_root$fastcgi_script_name;
        include fastcgi_params;
    }

    location = /favicon.ico {
        log_not_found off;
        access_log off;
    }

    location = /robots.txt {
        allow all;
        log_not_found off;
        access_log off;
    }

    location ~* \.(rss|atom|jpg|jpeg|gif|png|ico|rtf|js|css|woff|woff2|svg|otf)$ {
        expires max;
        log_not_found off;
    }
}